Bug 466922 - [RFE] Shutdown button behaviour
[RFE] Shutdown button behaviour
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-14 10:52 EDT by Matthias Clasen
Modified: 2013-08-05 15:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 15:28:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-10-14 10:52:31 EDT
It is not nice that the shutdown button directly shuts the system down, without further questions. It should probably behave the same way that pressing the power button does, by showing the shutdown dialog from gnome-session.
Comment 1 Dan Winship 2008-10-14 11:18:00 EDT
I have the opposite complaint, which is that even though it starts shutting down immediately, it doesn't have any *visible* effect for several seconds, which can make you think you misclicked or something.

Popping up a shutdown dialog right away would solve that problem too though.
Comment 2 Clifford Keele 2008-10-30 04:08:57 EDT
Fedora 10, Snap 2, KDE Desktop.

I find it pretty annoying to go through the menu system.
Select F
Then select "Leave"
Given a choice:  "Logout/Lock/Switch User/Suspend to RAM/Suspend to Disk/Shutdown/Restart"

I select "Shutdown", at which point I'd expect the computer to start shutting down.
However, another dialog box pops up which is redundant with the first.
"Logout/Turn off computer/restart computer"

And, certain mouse movements seem to cause a cancel without actually selecting an option.

It seems like an unnecessary level of redundancy.

Perhaps an option:
When click on "F", then allow click on "Leave".  
Rather than pop up a submenu, bring up the shutdown dialog box.

------------------

While we are at it.
There is a "shutdown to disk" option.

Also consider a "clean reboot" option that doesn't re-open all programs that are currently open.
Comment 3 Matthias Clasen 2008-10-30 12:50:44 EDT
Please file a separate bug against kde. 
You are having a completely different issue.
Comment 4 Clifford Keele 2008-10-31 00:47:47 EDT
Ok..
I noticed the behavior noted with with the on/off switch above.  The system did go down quickly when I hit the switch.

I find it annoying to think I've shut down a computer (like a laptop, then put it in the bag) only to find it stuck somewhere in the shutdown.

I do like the timer in the new KDE shutdown dialog box which would be good to have in this case, so one has 30 seconds, then the shutdown will proceed.

Please make sure that other task kills (open programs) also have associated timeouts.

I've entered report: Bug 469295 for the menu questions I had.
Comment 5 Bug Zapper 2008-11-25 22:52:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Sergey Rudchenko 2009-09-23 16:11:35 EDT
Thank you for the bug report.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:29:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:31:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:34:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:37:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:43:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 11:47:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2011-06-21 11:49:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:51:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora Admin XMLRPC Client 2011-06-21 11:53:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Christopher Beland 2013-02-07 15:31:10 EST
In Fedora 18, pressing the power button (in the upper right corner) when no one is logged in does not shut the machine down without asking.  Instead, it produces a menu with the options "Suspend", "Restart", and "Power off".

Is this an acceptable resolution?
Comment 17 Christopher Beland 2013-08-05 15:28:49 EDT
Assuming so and closing.

Note You need to log in before you can comment on or make changes to this bug.